<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_perkara_eksekusi_ht extends CI_Controller {

	function redir_show_detil_ht(){
		$this->setParams();
		$this->nativesession->set('url_requested',current_url());
		redirect('detil_eksekusi_ht');
	}


	function redir_edit_eksekusi_ht(){
		$this->setParams();
		redirect('detil_eksekusi_ht/edit_eksekusi');
	}


	function redir_edit_data_umum_eksekusi(){
		$this->setParams();
		redirect('detil_eksekusi/edit_eksekusi_data_umum');
	}

	function setParams(){
		$segment = $this->uri->segment_array();
		if(count($segment)!=2){
			show_404();
		}
		$this->nativesession->set_flash_session('security', TRUE);
//		$this->nativesession->set_flash_session('url_requested', current_url());
		$this->nativesession->set_flash_session('enc', $this->uri->segment(2));
		$this->nativesession->set_flash_session('ht_id', $this->encrypt->decode(base64_decode($this->uri->segment(2))));
		#varlist_alur_perkara_id=1;var_tahapan_id=10
		#
	}
}